package springbootdemo;

import org.springframework.boot.context.event.*;
import org.springframework.context.ApplicationListener;

/**
 * Diese EventListener-Util-Klasse ist nur waehrend der Entwicklung sinnvoll.
 * Sie demonstriert das Abfangen von SpringApplicationEvents.<br>
 * <br>
 * Damit auch sehr fruehe Events abgefangen werden, beispielsweise
 * {@link ApplicationStartedEvent}, {@link ApplicationEnvironmentPreparedEvent} und
 * {@link ApplicationPreparedEvent}, wird der Listener nicht per {@link @EventListener}
 * eingebunden, sondern als eigene {@link ApplicationListener}-Klasse,
 * die ueber {@code (new SpringApplication()).addListeners(...)} eingebunden wird.
 * @see SpringEventListenerDevUtil
 */
public class SpringApplicationEventListenerDevUtil implements ApplicationListener<SpringApplicationEvent>
{
   @Override
   public void onApplicationEvent( SpringApplicationEvent event )
   {
      SpringEventListenerDevUtil.printEventNameAndClassAndSource( "SpringApplicationEvent", event );
   }
}
