package springbootdemo;

import java.util.*;
import javax.ws.rs.*;
import javax.ws.rs.core.MediaType;
import org.springframework.stereotype.Component;

@Component
@Path( "/jaxrs-rest" )
@Produces( MediaType.APPLICATION_JSON )
public class DemoJaxRsRestService
{
   private List<String> lst = new ArrayList<String>();

   @GET
   public List<String> getListe()
   {
      return lst;
   }

   @GET @Path("{idx}")
   public String getElementAusListe( @PathParam("idx") int idx )
   {
      return ( idx < lst.size() ) ? lst.get( idx ) : null;
   }

   @PUT @Path("{val}")
   public void putElementZuListe( @PathParam("val") String val )
   {
      lst.add( val );
   }

   @DELETE @Path("{idx}")
   public String deleteElementInListe( @PathParam("idx") int idx )
   {
      return ( idx < lst.size() ) ? lst.remove( idx ) : null;
   }
}
