package springbootdemo;

import java.util.Date;
import org.junit.*;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.jdbc.DataSourceProperties;
import org.springframework.boot.test.SpringApplicationConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@RunWith( SpringJUnit4ClassRunner.class )
@SpringApplicationConfiguration( classes = ApplicationMain.class )
public class ApplicationMainTest
{
   @Autowired
   private DataSourceProperties dsp;
   @Autowired
   private MeineEntityRepository repo;

   @Test
   public void test()
   {
      MeineEntity me1 = new MeineEntity();
      me1.setText( "Mein Test-Text" );
      me1.setDatum( new Date() );
      me1 = repo.save( me1 );
      Assert.assertNotNull( me1.getId() );
      MeineEntity me2 = repo.findByText( me1.getText() );
      Assert.assertNotNull( me2 );
      Assert.assertEquals( 1, repo.count() );
      System.out.println( "---- DriverClassName: " + dsp.getDriverClassName() );
      System.out.println( "---- URL, Username:   " + dsp.getUrl() + ", " + dsp.getUsername() );
      System.out.println( "---- Daten:           " + repo.findAll() );
   }
}
