package springbootdemo;

import java.util.List;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.servlet.config.annotation.ViewControllerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@SpringBootApplication
public class ApplicationMain extends WebMvcConfigurerAdapter
{
   public static void main( String[] args )
   {
      SpringApplication.run( ApplicationMain.class, args );
   }

   @Override
   public void addViewControllers( ViewControllerRegistry registry )
   {
      registry.addViewController( "/mvc-th/login" ).setViewName( "login" );
   }

   @Override
   public void addArgumentResolvers( List<HandlerMethodArgumentResolver> argumentResolvers )
   {
      argumentResolvers.add( new MeineUserHandlerMethodArgumentResolver() );
   }
}
