package springbootdemo;

import org.springframework.core.MethodParameter;
import org.springframework.security.core.Authentication;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

@Component
public class MeineUserHandlerMethodArgumentResolver implements HandlerMethodArgumentResolver
{
   @Override
   public boolean supportsParameter( MethodParameter parameter )
   {
      return MeineUser.class.isAssignableFrom( parameter.getParameterType() );
   }

   @Override
   public Object resolveArgument( MethodParameter parameter,
                                  ModelAndViewContainer mavContainer, NativeWebRequest webRequest,
                                  WebDataBinderFactory binderFactory ) throws Exception
   {
      Authentication auth = (Authentication) webRequest.getUserPrincipal();
      return auth != null && auth.getPrincipal() instanceof MeineUser ? auth.getPrincipal() : null;
   }
}
