package springbootdemo;

import static org.hamcrest.Matchers.equalTo;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.content;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.SpringApplicationConfiguration;
import org.springframework.http.MediaType;
import org.springframework.mock.web.MockServletContext;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;

@RunWith( SpringJUnit4ClassRunner.class )
@SpringApplicationConfiguration( classes = MockServletContext.class )
@WebAppConfiguration
public class ControllerUndMainTest
{
   private MockMvc mockMvc;

   @Before
   public void setupMockMvc()
   {
      mockMvc = MockMvcBuilders.standaloneSetup( new ControllerUndMain() ).build();
   }

   @Test
   public void testHalloString() throws Exception
   {
      mockMvc.perform( MockMvcRequestBuilders.get( "/web" ).accept( MediaType.APPLICATION_JSON ) )
             .andExpect( status().isOk() )
             .andExpect( content().contentType( MediaType.APPLICATION_JSON + ";charset=UTF-8" ) )
             .andExpect( content().string( equalTo( "Hallo Spring-Boot-Web-Welt!" ) ) );
   }
}
